[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TAcceptTimeEvent

Specifies an event handler used to validate and accept/reject a time value.

## Declaration

Source position: editbtn.pas line 724

`type TAcceptTimeEvent = procedure(`
`Sender: TObject;`
`var ATime: TDateTime;`
`var AcceptTime: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object generating the event notification.
`ATime` |  | Time value examined in the method.
`AcceptTime` |  | Indicates the time value is accepted when True.

## Description

TAcceptTimeEvent specifies an event handler used to validate and accept/reject a time value in TTimeEdit. TAcceptTimeEvent is the type used to implement the OnAcceptTime property in TTimeEdit.

## See also

TTimeEdit.OnAcceptTime |  | Event handler signalled to validate and accept/reject the time value for the control.